aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/entitlement.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/entitlement.sh')
-rwxr-xr-xscripts/entitlement.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/scripts/entitlement.sh b/scripts/entitlement.sh
new file mode 100755
index 000000000..e2c956a3a
--- /dev/null
+++ b/scripts/entitlement.sh
@@ -0,0 +1,33 @@
+#!/bin/sh -e
+#
+# Helper script for the build process to apply entitlements
+
+in_place=:
+if [ "$1" = --install ]; then
+ shift
+ in_place=false
+fi
+
+DST="$1"
+SRC="$2"
+ICON="$3"
+ENTITLEMENT="$4"
+
+if $in_place; then
+ trap 'rm "$DST.tmp"' exit
+ cp -af "$SRC" "$DST.tmp"
+ SRC="$DST.tmp"
+else
+ cd "$MESON_INSTALL_DESTDIR_PREFIX"
+fi
+
+if test -n "$ENTITLEMENT"; then
+ codesign --entitlements "$ENTITLEMENT" --force -s - "$SRC"
+fi
+
+# Add the QEMU icon to the binary on Mac OS
+Rez -append "$ICON" -o "$SRC"
+SetFile -a C "$SRC"
+
+mv -f "$SRC" "$DST"
+trap '' exit